require("socket")

local message = "Hello Client!"
local server = nil
local port = 1234

function main ()
	server = assert(socket.bind("*", port))
	print("Please connect the client to localhost on port " .. port)
	server:settimeout(-1)
	local client = server:accept()
	print ("A client has connected.")
	local line, err = client:receive()
	if not err then
		print (" in  << " .. line)
		print (" out >> " .. message)
		client:send(message .. "\n")
	end
	client:close()
end

main ()
